--天墉城
--剧情本：君临宴

--脚本号
x104001_g_scriptId=104001

function x104001_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]妖山仙池是個充滿危險和機遇的地方，祝你好運[-]")

	AddNumText(scene,x104001_g_scriptId,"劇情副本:妖山仙池",-1,1)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

function x104001_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index == 1 then
		BeginEvent(scene)
		AddText(scene,"時間就是金錢，我的朋友！")
		AddNumText(scene,x104001_g_scriptId,"難度：普通",-2,10101)
		AddNumText(scene,x104001_g_scriptId,"難度：精英",-2,10102)
		AddNumText(scene,x104001_g_scriptId,"難度：史詩",-2,10103)
		AddNumText(scene,x104001_g_scriptId,"便捷組隊",-2,10104,0,101)
		AddNumText(scene,x104001_g_scriptId,"副本說明",-1,10105)
		AddNumText(scene,x104001_g_scriptId,"返回",-1,10106)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10101 then
		GotoCopyScene(scene,selfId,221)
	elseif index == 10102 then
		GotoCopyScene(scene,selfId,222)
	elseif index == 10103 then
		GotoCopyScene(scene,selfId,223)
	elseif index == 10104 then
		x104001_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10105 then
		x104001_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10106 then
		x104001_OnDefaultEvent(scene,selfId ,targetId)
	end
end